Subject: Re: bug#56359: seccomp test failures on RHEL 9.0

From: Paul Eggert <[email-masked]>
Date: Tue, 11 Oct 2022 10:43:45 -0700

On 2022-10-11 05:36, Basil L. Contovounesios wrote:
> Lars Ingebrigtsen [2022-10-11 02:54 +0200] wrote:
> 
>> I've now applied Philipp's patch (adding gettid), and Paul has fixed
>> other bits here in 345de32a.

I didn't know about Bug#56359 when I "fixed" those other bits.

My "fix" involved allowing all uses of clone3, which (as Philipp noted 
in August) is problematic. I'm not sure what's being tested for, but if 
clone3 lets you evade the checks then the test is arguably more trouble 
than it's worth. Would marking it as :unstable lessen the number of 
false alarms we're getting? If not, perhaps we should remove it or mark 
it as :dont-use-unless-you-know-what-youre-doing or whatever.